Bug 1009582 - Fedora plugin not working with fas authentication
Fedora plugin not working with fas authentication
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: supybot-fedora (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 12:16 EDT by Parag Nemade
Modified: 2015-02-17 12:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:14:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-09-18 12:16:48 EDT
Description of problem:
I used supybot-wizard and only added Fedora plugin. Then started it as
$ supybot febot-Fedora.conf 
INFO 2013-09-18T21:33:18 Creating new Irc for Freenode.
INFO 2013-09-18T21:33:18 Connecting to irc.freenode.net:6667.
INFO 2013-09-18T21:33:18 Loading plugins (connecting to Freenode).
/usr/lib/python2.7/site-packages/pytz/__init__.py:35: UserWarning: Module backports was already imported from /usr/lib64/python2.7/site-packages/backports/__init__.pyc, but /usr/lib/python2.7/site-packages is being added to sys.path
  from pkg_resources import resource_stream
INFO 2013-09-18T21:33:20 Downloading user data
ERROR 2013-09-18T21:40:42 Failed to load Fedora:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/supybot/plugins/Owner/plugin.py", line 210, in _loadPlugins
    plugin.loadPluginClass(irc, m)
  File "/usr/lib/python2.7/site-packages/supybot/plugin.py", line 86, in loadPluginClass
    cb = module.Class(irc)
  File "/usr/lib/python2.7/site-packages/supybot/utils/python.py", line 98, in __init__
    original__init__(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/supybot/plugins/Fedora/plugin.py", line 114, in __init__
    self._refresh()
  File "/usr/lib/python2.7/site-packages/supybot/plugins/Fedora/plugin.py", line 122, in _refresh
    auth=True)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
    auth_params=auth_params, retries=retries)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 392, in send_request
    {'url': to_bytes(url), 'err': to_bytes(e)})
ServerError: ServerError(https://admin.fedoraproject.org/accounts/user/list, 200, Error returned from json module while processing https://admin.fedoraproject.org/accounts/user/list: Unterminated string starting at: line 1 column 76950923 (char 76950922))
ERROR 2013-09-18T21:40:42 Exception id: 0xfc976
WARNING 2013-09-18T21:40:42 Error message from Freenode: Closing Link:
        127.0.0.1 (Connection timed out)
INFO 2013-09-18T21:40:42 Reconnecting to Freenode.
INFO 2013-09-18T21:40:42 Connecting to irc.freenode.net:6667.
INFO 2013-09-18T21:40:44 Server cameron.freenode.net has version ircd-
     seven-1.1.3
INFO 2013-09-18T21:40:44 Got end of MOTD from cameron.freenode.net
INFO 2013-09-18T21:40:52 Join to #myfebot on Freenode synced in 1.85 seconds.


Version-Release number of selected component (if applicable):
supybot-fedora-0.2.11-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
not loading Fedora plugin

Expected results:
should load Fedora plugin

Additional info:
Comment 1 Patrick Uiterwijk 2013-09-18 15:37:05 EDT
Did you configure the plugin with a FAS username/password combination, so it can authenticate to FAS?
Comment 2 Parag Nemade 2013-09-18 23:40:29 EDT
I assume I have written correct username and passwd in conf file that is why I am getting 
INFO 2013-09-19T08:54:29 Downloading user data

but somewhere something is wrong that makes downloading this data to timeout. I tried this yesterday several times and got approximately 7-8 minutes of time when it times out and gave messages like this
ERROR 2013-09-19T09:02:31 Failed to load Fedora:
<snip>
ServerError: ServerError(https://admin.fedoraproject.org/accounts/user/list, 200, Error returned from json module while processing https://admin.fedoraproject.org/accounts/user/list: Unterminated string starting at: line 1 column 8852091 (char 8852090))
Comment 3 Parag Nemade 2013-09-20 11:56:00 EDT
Do you know how much time in general "Downloading user data" takes?
Comment 4 Jon Stanley 2013-09-20 14:05:20 EDT
It easily takes minutes, even if you're colocated with FAS in the same datacenter. Moving further away will increase the time, there's a *ton* of data that comes across.
Comment 5 Parag Nemade 2013-09-21 02:55:00 EDT
can someone help me with above error? I want to use supybot-fedora plugin.
Comment 6 Patrick Uiterwijk 2013-09-22 01:54:01 EDT
This can only be fixed by increasing the timeout on all intermediate network hosts.
If you ping me on IRC (puiterwijk), I can take a look for you at the Fedora side of things.
Comment 7 Fedora End Of Life 2015-01-09 14:53:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 12:14:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.